package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 班次枚举
 */
@Getter
@AllArgsConstructor
public enum ShiftEnum {

    DAY("DAY", "白班"),
    NIGHT("NIGHT", "夜班");

    private final String code;
    private final String desc;

    public static ShiftEnum getByCode(String code) {
        for (ShiftEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

    public static ShiftEnum getByDesc(String desc) {
        for (ShiftEnum itemEnum : values()) {
            if (itemEnum.getDesc().equals(desc)) {
                return itemEnum;
            }
        }
        return null;
    }

}
